6.0.0-git
2019-03-20

[#10099] Sort order of events when embedding a calendar with view set to "monthlist" and "summary" is wrong.
Summary Sort order of events when embedding a calendar with view set to "monthlist" and "summary" is wrong.
Queue Kronolith
Queue Version 3.0.3
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester gimili17 (at) gmail (dot) com
Created 2011-05-18 (2863 days ago)
Due
Updated 2011-06-30 (2820 days ago)
Assigned 2011-06-08 (2842 days ago)
Resolved 2011-06-30 (2820 days ago)
Milestone
Patch No

History
2011-06-30 09:10:54 Jan Schneider State ⇒ Resolved
 
2011-06-30 09:10:50 Git Commit Comment #6 Reply to this comment
Changes have been made in Git for this ticket:

[jan] Correctly sort events in portal block or widget if only 
displaying a single calendar (Bug #10099).

  4 files changed, 27 insertions(+), 8 deletions(-)
http://git.horde.org/horde-git/-/commit/bb258bebe18f9118cf35e6df927c248ba489b401
2011-06-08 13:17:27 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2011-05-23 20:28:58 gimili17 (at) gmail (dot) com Comment #5 Reply to this comment
It doesn't matter how many calendars you have. Did you explicitly 
selected that calendar in your portal block (like you did in the 
widget), or do you simply install all calendars (which happens to be 
only one)?
Ahh I see what you mean.  Indeed in the portal I had it set to "All 
Visible".  As soon as I changed it to the specific calendar like I did 
in the widget the sort order changed to match the incorrect sort order 
of the widget.  So perhaps the sort order problem only happens when a 
specific calendar is selected.  The sort order is only correct when 
"All Visible" is selected.  Thanks.

2011-05-23 07:40:31 Jan Schneider Comment #4 Reply to this comment
This doesn't make sense, because it is using exactly the same code.
Any chance that you don't use the same calendar (only) in the portal
configuration?
I only have one shared calendar.
It doesn't matter how many calendars you have. Did you explicitly 
selected that calendar in your portal block (like you did in the 
widget), or do you simply install all calendars (which happens to be 
only one)?
2011-05-23 00:53:22 gimili17 (at) gmail (dot) com Comment #3 Reply to this comment
This doesn't make sense, because it is using exactly the same code. 
Any chance that you don't use the same calendar (only) in the portal 
configuration?
I only have one shared calendar.  Events were detailed and identical 
in both views but in the embedded calendar the order was wrong.  Even 
if it was a different calendar the times were not sorted correctly.   
Look at the order of these times:

Time                     Event
10:00am-11:30am  A
12:00pm-01:00pm  D
10:15am-11:30am  B
03:00pm-04:00pm  E
11:30am-12:00pm  C

Maybe it is something unique to my system or something that I have 
done wrong but strange that the portal is correct.  You would think it 
would be wrong in both places if it uses the same code.  Thanks.
2011-05-22 17:22:01 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
This doesn't make sense, because it is using exactly the same code. 
Any chance that you don't use the same calendar (only) in the portal 
configuration?
2011-05-18 14:10:06 gimili17 (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Sort order of events when embedding a calendar with view set to "monthlist" and "summary" is wrong.
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Sort order of events when embedding a calendar with view set to 
"monthlist" and "summary" seems wrong.

Example of url used:  <div id="kronolithCal"></div><script
Order of Events In Portal (correct):
10:00am-11:30am  A
10:15am-11:30am  B
11:30am-12:00pm  C
12:00pm-01:00pm  D
03:00pm-04:00pm  E

Order of Events With Widgit and Summary View (out of order):
10:00am-11:30am  A
12:00pm-01:00pm  D
10:15am-11:30am  B
03:00pm-04:00pm  E
11:30am-12:00pm  C

Saved Queries